# Interface methods for submodule: Optimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: Optimizer
class OptimizerProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInitialPosition(self, param) -> None:
		""""""
		...

	def GetInitialPosition(self):
		""""""
		...

	def SetScales(self, scales: Sequence[float]) -> None:
		""""""
		...

	def GetScales(self) -> Sequence[float]:
		""""""
		...

	def GetInverseScales(self) -> Sequence[float]:
		""""""
		...

	def GetCurrentPosition(self):
		""""""
		...

	def StartOptimization(self) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

